# EarPluginConvention

API Documentation: | `EarPluginConvention`

Ear Plugin Convention.

### Properties

Property | Description
`appDirName` | The name of the application directory, relative to the project directory. Default is "src/main/application".
`deploymentDescriptor` | A custom deployment descriptor configuration. Default is an "application.xml" with sensible defaults.
`libDirName` | The name of the library directory in the EAR file. Default is "lib".

### Methods

Method | Description
`appDirName(appDirName)` | Allows changing the application directory. Default is "src/main/application".
`libDirName(libDirName)` | Allows changing the library directory in the EAR file. Default is "lib".

### Script blocks

Block | Description
`deploymentDescriptor` | Configures the deployment descriptor for this EAR archive.

### Property details

#### `String` `appDirName`

The name of the application directory, relative to the project directory. Default is "src/main/application".

Default with `ear` plugin:
  `'src/main/application'`

#### `DeploymentDescriptor` `deploymentDescriptor`

A custom deployment descriptor configuration. Default is an "application.xml" with sensible defaults.

Default with `ear` plugin:
  A deployment descriptor initialized with sensible defaults

#### `String` `libDirName`

The name of the library directory in the EAR file. Default is "lib".

Default with `ear` plugin:
  `'lib'`

### Method details

#### `void` `appDirName`(`String` appDirName)

Allows changing the application directory. Default is "src/main/application".

#### `void` `libDirName`(`String` libDirName)

Allows changing the library directory in the EAR file. Default is "lib".

### Script block details

#### `deploymentDescriptor` { }

Configures the deployment descriptor for this EAR archive.

The given closure is executed to configure the deployment descriptor. The `DeploymentDescriptor` is passed to the closure as its delegate.

Delegates to:
  `DeploymentDescriptor` from `deploymentDescriptor`